function setImgSlider(imgCount, imgTimerInterval) {

	var imgFullPath;
	var imgExt;
	var imgNoString;
	var imgNo = 1;
	var imgPath;
	var imgFileName;
	var imgFileNameStart;
	var nextImgNoString;
	var nextImgNo;
	var nextImgPath;
	var previousImgNoString;
	var previousImgNo;
	var previousImgPath;
	var circlesLinks = "";

	function pad(num, size) {
	    var s = num+"";
	    while (s.length < size) s = "0" + s;
	    return s;
	}

	$(document).ready(function() {

		for (var i = 1; i <= imgCount; i++) {
		circlesLinks += "<a href=\"javascript:void(0);\" class=\"circle " + i + "\"></a>";
		};

		$("#slider-circles").html(circlesLinks);

		$(".circle.1").addClass("current");
		
		var imgTimer = setInterval(function(){
			nextImage();
		}, imgTimerInterval);

		if (imgCount > 1) {
			$("#image-slider").hover(
				function() {
					clearInterval(imgTimer);
					$("#slider-arrows, #slider-circles").fadeIn("fast");
				},
				function() {
					$("#slider-arrows, #slider-circles").fadeOut("fast");
					imgTimer = setInterval(function(){
						nextImage();
					}, imgTimerInterval);
				});
		}

		$( "#slider-image" ).click(function() {
			nextImage();
		});

		function updateCurrentImage() {
			imgFullPath = $("#slider-image").attr("src");
			imgPath = imgFullPath.substring(0, imgFullPath.lastIndexOf("/"))+ "/";
			imgFileName = imgFullPath.substring(imgFullPath.lastIndexOf("/") + 1);
			imgExt = "." + imgFileName.substring(imgFileName.lastIndexOf(".") + 1);
			imgFileNameStart = imgFileName.replace(imgFileName.substring(imgFileName.lastIndexOf(".")),"").replace(/[0-9]/g, "");
			imgNoString = imgFullPath.replace(/\D/g, '')
			imgNo = parseInt(imgNoString,10);
		}

		function nextImagePath() {
			updateCurrentImage();
			$(".circle." + imgNo).removeClass("current");
			if (imgNo != imgCount) {	
				nextImgNo = imgNo + 1;
				$(".circle." + (imgNo+1)).addClass("current");
			} else {
				nextImgNo = 1;
				$(".circle." + 1).addClass("current");
			}
			nextImgNoString = pad(nextImgNo,2);
			nextImgPath = imgPath + imgFileNameStart + nextImgNoString + imgExt;
			return nextImgPath;
		}

		function nextImage() {
			if (imgCount > 1) {
				$("#slider-image").fadeOut("fast",function() {
					$("#slider-image").attr("src",nextImagePath());
					$("#slider-image").fadeIn("slow");
				});
			}
		}

		$( "#next-img" ).click(function() {
			nextImage();
		});

		function previousImagePath() {
			updateCurrentImage();
			$(".circle." + imgNo).removeClass("current");
			if (imgNo != 1) {	
				previousImgNo = imgNo - 1;
				$(".circle." + (imgNo-1)).addClass("current");
			} else {
				previousImgNo = imgCount;
				$(".circle." + imgCount).addClass("current");
			}
			previousImgNoString = pad(previousImgNo,2);
			previousImgPath = imgPath + imgFileNameStart + previousImgNoString + imgExt;
			return previousImgPath;
		}

		function previousImage() {
			$("#slider-image").fadeOut("fast",function() {
				$("#slider-image").attr("src",previousImagePath());
				$("#slider-image").fadeIn("slow");
			});
		}

		$("#previous-img").click(function() {
			previousImage();
		});

		$(".circle").click(function() {
			updateCurrentImage();
			$(".circle." + imgNo).removeClass("current");
			var classImgNo = $(this).attr("class").replace(/\D/g, '');
			imgNo = classImgNo;
			$(".circle." + classImgNo).addClass("current");
			$("#slider-image").fadeOut("fast",function() {
				$("#slider-image").attr("src",(imgPath + imgFileNameStart + pad(imgNo,2) + imgExt));
				$("#slider-image").fadeIn("slow");
			});
		});
		
	});

}

setImgSlider(5, 5000);